Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.maven
Class MavenI18n

    java.lang.Object
      org.modeshape.maven.MavenI18n

    public final class MavenI18n

extends Object

The internationalized string constants for the `org.modeshape.maven*` packages.

Field Summary
`static I18n` | `errorClosingTempFileStreamAfterWritingContent`
`static I18n` | `errorClosingUrlStreamToPom`
`static I18n` | `errorCreatingNode`
`static I18n` | `errorCreatingUrlForMavenId`
`static I18n` | `errorCreatingXpathParserToEvaluatePom`
`static I18n` | `errorCreatingXpathStatementsToEvaluatePom`
`static I18n` | `errorDeletingTempFileStreamAfterWritingContent`
`static I18n` | `errorGettingPomFileForMavenIdAtUrl`
`static I18n` | `errorGettingUrlForMavenProject`
`static I18n` | `errorReadingNode`
`static I18n` | `errorReadingXmlDocumentToEvaluatePom`
`static I18n` | `errorWritingNode`
`static I18n` | `pomFileContainsUnexpectedId`
`static I18n` | `pomFileIsInvalid`
`static I18n` | `unableToFindWorkspaceWhenCreatingNode`
`static I18n` | `unableToFindWorkspaceWhenReadingNode`
`static I18n` | `unableToFindWorkspaceWhenWritingNode`
`static I18n` | `unableToOpenSessiontoRepositoryWhenCreatingNode`
`static I18n` | `unableToOpenSessiontoRepositoryWhenReadingNode`
`static I18n` | `unableToOpenSessiontoRepositoryWhenWritingNode`
`static I18n` | `unableToWriteToClosedStream`
`static I18n` | `unsupportedMavenCoordinateFormat`

Constructor Summary
`MavenI18n()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorGettingUrlForMavenProject

    public static I18n errorGettingUrlForMavenProject

### unsupportedMavenCoordinateFormat

    public static I18n unsupportedMavenCoordinateFormat

### errorCreatingUrlForMavenId

    public static I18n errorCreatingUrlForMavenId

### errorGettingPomFileForMavenIdAtUrl

    public static I18n errorGettingPomFileForMavenIdAtUrl

### pomFileIsInvalid

    public static I18n pomFileIsInvalid

### pomFileContainsUnexpectedId

    public static I18n pomFileContainsUnexpectedId

### errorCreatingXpathStatementsToEvaluatePom

    public static I18n errorCreatingXpathStatementsToEvaluatePom

### errorCreatingXpathParserToEvaluatePom

    public static I18n errorCreatingXpathParserToEvaluatePom

### errorReadingXmlDocumentToEvaluatePom

    public static I18n errorReadingXmlDocumentToEvaluatePom

### errorClosingUrlStreamToPom

    public static I18n errorClosingUrlStreamToPom

### unableToOpenSessiontoRepositoryWhenCreatingNode

    public static I18n unableToOpenSessiontoRepositoryWhenCreatingNode

### unableToFindWorkspaceWhenCreatingNode

    public static I18n unableToFindWorkspaceWhenCreatingNode

### errorCreatingNode

    public static I18n errorCreatingNode

### unableToOpenSessiontoRepositoryWhenReadingNode

    public static I18n unableToOpenSessiontoRepositoryWhenReadingNode

### unableToFindWorkspaceWhenReadingNode

    public static I18n unableToFindWorkspaceWhenReadingNode

### errorReadingNode

    public static I18n errorReadingNode

### unableToOpenSessiontoRepositoryWhenWritingNode

    public static I18n unableToOpenSessiontoRepositoryWhenWritingNode

### unableToFindWorkspaceWhenWritingNode

    public static I18n unableToFindWorkspaceWhenWritingNode

### errorWritingNode

    public static I18n errorWritingNode

### unableToWriteToClosedStream

    public static I18n unableToWriteToClosedStream

### errorClosingTempFileStreamAfterWritingContent

    public static I18n errorClosingTempFileStreamAfterWritingContent

### errorDeletingTempFileStreamAfterWritingContent

    public static I18n errorDeletingTempFileStreamAfterWritingContent

Constructor Detail

### MavenI18n

    public MavenI18n()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.